CREATE TABLE NNAVS (
  ID_AVS NUMBER NOT NULL,
  CODE VARCHAR2(5 CHAR),
  DESCRIPTION VARCHAR2(250 CHAR),
  CONSTRAINT NNAVS_PK PRIMARY KEY (ID_AVS)
);

CREATE SEQUENCE NNAVS_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

ALTER TABLE NNAVS
ADD CONSTRAINT NNAVS_CODE_UNIQUE UNIQUE(CODE);

INSERT INTO NNAVS(ID_AVS, CODE, DESCRIPTION) VALUES (NNAVS_SEQ.NEXTVAL, 
'A', 'Street address matches, but 5-digit and 9-digit postal code do not.');

INSERT INTO NNAVS(ID_AVS, CODE, DESCRIPTION) VALUES (NNAVS_SEQ.NEXTVAL, 
'B', 'Street address matches, but postal code not verified.');

INSERT INTO NNAVS(ID_AVS, CODE, DESCRIPTION) VALUES (NNAVS_SEQ.NEXTVAL, 
'C', 'Street address and postal code do not match.');

INSERT INTO NNAVS(ID_AVS, CODE, DESCRIPTION) VALUES (NNAVS_SEQ.NEXTVAL, 
'D', 'Street address and postal code match.');

INSERT INTO NNAVS(ID_AVS, CODE, DESCRIPTION) VALUES (NNAVS_SEQ.NEXTVAL, 
'E', 'AVS data is invalid or AVS is not allowed for this card type.');

INSERT INTO NNAVS(ID_AVS, CODE, DESCRIPTION) VALUES (NNAVS_SEQ.NEXTVAL, 
'F', 'Card member''s name does not match, but billing postal code matches.');

INSERT INTO NNAVS(ID_AVS, CODE, DESCRIPTION) VALUES (NNAVS_SEQ.NEXTVAL, 
'G', 'Non-U.S. issuing bank does not support AVS.');

INSERT INTO NNAVS(ID_AVS, CODE, DESCRIPTION) VALUES (NNAVS_SEQ.NEXTVAL, 
'H', 'Card member''s name does not match. Street address and postal code match.');

INSERT INTO NNAVS(ID_AVS, CODE, DESCRIPTION) VALUES (NNAVS_SEQ.NEXTVAL, 
'I', 'Address not verified.');

INSERT INTO NNAVS(ID_AVS, CODE, DESCRIPTION) VALUES (NNAVS_SEQ.NEXTVAL, 
'J', 'Card member''s name, billing address, and postal code match.');

INSERT INTO NNAVS(ID_AVS, CODE, DESCRIPTION) VALUES (NNAVS_SEQ.NEXTVAL, 
'K', 'Card member''s name matches but billing address and billing postal code do not match.');

INSERT INTO NNAVS(ID_AVS, CODE, DESCRIPTION) VALUES (NNAVS_SEQ.NEXTVAL, 
'L', 'Card member''s name and billing postal code match, but billing address does not match.');

INSERT INTO NNAVS(ID_AVS, CODE, DESCRIPTION) VALUES (NNAVS_SEQ.NEXTVAL, 
'M', 'Street address and postal code match.');

INSERT INTO NNAVS(ID_AVS, CODE, DESCRIPTION) VALUES (NNAVS_SEQ.NEXTVAL, 
'N', 'Street address and postal code do not match.');

INSERT INTO NNAVS(ID_AVS, CODE, DESCRIPTION) VALUES (NNAVS_SEQ.NEXTVAL, 
'O', 'Card member''s name and billing address match, but billing postal code does not match.');

INSERT INTO NNAVS(ID_AVS, CODE, DESCRIPTION) VALUES (NNAVS_SEQ.NEXTVAL, 
'P', 'Postal code matches, but street address not verified.');

INSERT INTO NNAVS(ID_AVS, CODE, DESCRIPTION) VALUES (NNAVS_SEQ.NEXTVAL, 
'Q', 'Card member''s name, billing address, and postal code match.');

INSERT INTO NNAVS(ID_AVS, CODE, DESCRIPTION) VALUES (NNAVS_SEQ.NEXTVAL, 
'R', 'System unavailable.');

INSERT INTO NNAVS(ID_AVS, CODE, DESCRIPTION) VALUES (NNAVS_SEQ.NEXTVAL, 
'S', 'Bank does not support AVS.');

INSERT INTO NNAVS(ID_AVS, CODE, DESCRIPTION) VALUES (NNAVS_SEQ.NEXTVAL, 
'T', 'Card member''s name does not match, but street address matches.');

INSERT INTO NNAVS(ID_AVS, CODE, DESCRIPTION) VALUES (NNAVS_SEQ.NEXTVAL, 
'U', 'Address information unavailable.');

INSERT INTO NNAVS(ID_AVS, CODE, DESCRIPTION) VALUES (NNAVS_SEQ.NEXTVAL, 
'V', 'Card member''s name, billing address, and billing postal code match.');

INSERT INTO NNAVS(ID_AVS, CODE, DESCRIPTION) VALUES (NNAVS_SEQ.NEXTVAL, 
'W', 'Street address does not match, but 9-digit postal code matches.');

INSERT INTO NNAVS(ID_AVS, CODE, DESCRIPTION) VALUES (NNAVS_SEQ.NEXTVAL, 
'X', 'Street address and 9-digit postal code match.');

INSERT INTO NNAVS(ID_AVS, CODE, DESCRIPTION) VALUES (NNAVS_SEQ.NEXTVAL, 
'Y', 'Street address and 5-digit postal code match.');

INSERT INTO NNAVS(ID_AVS, CODE, DESCRIPTION) VALUES (NNAVS_SEQ.NEXTVAL, 
'Z', 'Street address does not match, but 5-digit postal code matches.');

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1654, SYSDATE, '5.5', 1574, 'AVS')
;