DROP VIEW V_IMPORT_LINKS
;

CREATE OR REPLACE VIEW V_IMPORT_LINKS AS 
SELECT I.*, 
(CASE 
WHEN I.TABLE_NAME IN ('SALDKONT','E_INVOICE') THEN S.OWNER 
WHEN I.TABLE_NAME='KUPCI' THEN RTRIM(K.PRIIMEK ||' ' || COALESCE(K.IME, ' ')) 
WHEN I.TABLE_NAME='EXCHANGE' THEN E.OWNER 
WHEN I.TABLE_NAME='S_DOKUMENT' THEN D.OWNER 
ELSE NULL 
END) AS OWNER,
(CASE 
WHEN I.TABLE_NAME IN ('SALDKONT','E_INVOICE') THEN S.VESSEL 
WHEN I.TABLE_NAME='EXCHANGE' THEN E.VESSEL 
ELSE NULL 
END) AS VESSEL
FROM IMPORT_LINKS I
LEFT OUTER JOIN 
(SELECT SS.ID_SALDKONT AS ID, RTRIM(SK.PRIIMEK ||' ' || COALESCE(SK.IME, ' ')) AS OWNER, SP.IME AS VESSEL
  FROM SALDKONT SS LEFT OUTER JOIN KUPCI SK ON SS.ID_KUPCA=SK.ID LEFT OUTER JOIN PLOVILA SP ON SS.ID_PLOVILA=SP.ID) S ON I.INT_ID=S.ID AND I.TABLE_NAME IN ('SALDKONT','E_INVOICE')
LEFT OUTER JOIN KUPCI K ON I.INT_ID=K.ID AND I.TABLE_NAME='KUPCI'
LEFT OUTER JOIN 
(SELECT EE.ID, RTRIM(EK.PRIIMEK ||' ' || COALESCE(EK.IME, ' ')) AS OWNER, EP.IME AS VESSEL
  FROM EXCHANGE EE LEFT OUTER JOIN SALDKONT ES ON EE.ID_SALDKONT=ES.ID_SALDKONT LEFT OUTER JOIN KUPCI EK ON ES.ID_KUPCA=EK.ID LEFT OUTER JOIN PLOVILA EP ON ES.ID_PLOVILA=EP.ID
) E ON I.INT_ID=E.ID AND I.TABLE_NAME='EXCHANGE'
LEFT OUTER JOIN 
(SELECT DD.ID_DOKUMENT AS ID, RTRIM(DK.PRIIMEK ||' ' || COALESCE(DK.IME, ' ')) AS OWNER
  FROM S_DOKUMENT DD LEFT OUTER JOIN KUPCI DK ON DD.DOBAVITELJ=DK.ID) D ON I.INT_ID=D.ID AND I.TABLE_NAME='S_DOKUMENT'
;


ALTER TABLE KUPCI
ADD SYNC VARCHAR2(1 CHAR)
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2075, SYSDATE, '5.5', 1995, 'V_IMPORT_LINKS')
;
