ALTER TABLE NUSER
ADD COMPUTER_LOCATION VARCHAR2(10 CHAR);

UPDATE NUSER N
SET N.COMPUTER_LOCATION = (SELECT U.SETTING_VALUE FROM USER_SETTING U
WHERE U.SETTING_NAME = 'Location' AND U.NUSER = N.NUSER)
WHERE N.COMPUTER_LOCATION IS NULL;

ALTER TABLE NUSER 
ADD (ID NUMBER);

CREATE SEQUENCE NUSER_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE;

UPDATE NUSER 
SET ID = NUSER_SEQ.NEXTVAL
WHERE ID IS NULL;

ALTER TABLE NUSER ADD (
CONSTRAINT NUSER_UNIQUE UNIQUE (ID));

CREATE OR REPLACE
TRIGGER NUSER_TRG
BEFORE INSERT
ON NUSER
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
BEGIN
	IF (:NEW.ID IS NULL) THEN
          SELECT NUSER_SEQ.NEXTVAL INTO :NEW.ID FROM DUAL;;
	END IF;;
END;;
;

CREATE OR REPLACE VIEW V_NUSER AS (
	SELECT N.ID, N.NUSER, N.USER_,N.EMAIL, N.AKT, N.DAVCNA_ST, N.NNLOCATION_ID, N.N_BLAGAJNE, N.COMPUTER_LOCATION,
	NL.OPIS AS LOCATION_OPIS, NL.INTERNI_OPIS AS LOCATION_INTERNI_OPIS, NI.NAZIV AS LOKACI_OPIS, NI.INTERNI_OPIS AS LOKACI_INTERNI_OPIS
	FROM NUSER N
  LEFT OUTER JOIN NNLOCATION NL ON NL.ID = N.NNLOCATION_ID
  LEFT OUTER JOIN NNLOKACI NI ON NI.SIFRA = N.COMPUTER_LOCATION
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (703, SYSDATE, '5.5', 623, 'Uporabniki web');