CREATE TABLE NNPATTERN (
	ID NUMBER,
	TYPE VARCHAR2(3 CHAR),
	PATTERN VARCHAR2(100 CHAR),
	OPIS VARCHAR2(100 CHAR),
	INTERNI_OPIS VARCHAR2(100 CHAR),
	AKT VARCHAR2 (1 CHAR),
	CONSTRAINT NNPATTERN_PK PRIMARY KEY (ID)
);

CREATE SEQUENCE NNPATTERN_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 100 NOCACHE NOORDER  NOCYCLE;

INSERT INTO NNPATTERN(ID, TYPE, PATTERN, OPIS, INTERNI_OPIS, AKT) 
VALUES (1, 'DAT', 'dd/MM/yyyy', 'DAY/MONTH/YEAR', 'DAY/MONTH/YEAR', 'Y');

INSERT INTO NNPATTERN(ID, TYPE, PATTERN, OPIS, INTERNI_OPIS, AKT) 
VALUES (2, 'DAT', 'MM/dd/yyyy', 'MONTH/DAY/YEAR', 'MONTH/DAY/YEAR', 'Y');

INSERT INTO NNPATTERN(ID, TYPE, PATTERN, OPIS, INTERNI_OPIS, AKT) 
VALUES (3, 'DAT', 'yyyy/MM/dd', 'YEAR/MONTH/DAY', 'YEAR/MONTH/DAY', 'Y');

INSERT INTO NNPATTERN(ID, TYPE, PATTERN, OPIS, INTERNI_OPIS, AKT) 
VALUES (4, 'DAT', 'dd.MM.yyyy', 'DAY.MONTH.YEAR', 'DAY.MONTH.YEAR', 'Y');

INSERT INTO NNPATTERN(ID, TYPE, PATTERN, OPIS, INTERNI_OPIS, AKT) 
VALUES (5, 'TIM', 'HH:mm', 'HOUR:MINUTE', 'HOUR:MINUTE', 'Y');

INSERT INTO NNPATTERN(ID, TYPE, PATTERN, OPIS, INTERNI_OPIS, AKT) 
VALUES (6, 'TIM', 'HH:mm:ss', 'HOUR:MINUTE:SECOND', 'HOUR:MINUTE:SECOND', 'Y');


CREATE TABLE NNPATTERN_TYPE (
	SIFRA VARCHAR2(3 CHAR),
	OPIS VARCHAR2(100 CHAR),
	INTERNI_OPIS VARCHAR2(100 CHAR),
	AKT VARCHAR2(1 CHAR),
	CONSTRAINT NNPATTERN_TYPE_PK PRIMARY KEY (SIFRA)
);

INSERT INTO NNPATTERN_TYPE(SIFRA, OPIS, INTERNI_OPIS, AKT) 
VALUES ('DAT', 'Date', 'Date', 'Y');

INSERT INTO NNPATTERN_TYPE(SIFRA, OPIS, INTERNI_OPIS, AKT) 
VALUES ('TIM', 'Time', 'Time', 'Y');

CREATE OR REPLACE VIEW V_PATTERN AS (
	SELECT N.ID, N.TYPE, N.PATTERN, N.OPIS, N.INTERNI_OPIS, N.AKT, PT.OPIS AS NNPATTERN_TYPE_OPIS, PT.INTERNI_OPIS AS NNPATTERN_TYPE_INTERNI_OPIS
	FROM NNPATTERN N
  LEFT OUTER JOIN NNPATTERN_TYPE PT ON PT.SIFRA = N.TYPE
);


insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (743, SYSDATE, '5.5', 663, 'Format patterns');