CREATE OR REPLACE VIEW V_DOGODKI AS (
	SELECT CONCAT(CONCAT(D.ID, '-'), NVL(DD.ID_DOGODKI_DETAIL, '0')) AS V_DOGODKI_ID, 
  D.ID, D.ID_LASTNIKA, D.ID_PLOVILA, D.DATUM_ZACETKA, D.KATEGORIJA_DOGODKA, 
  (CASE WHEN DD.ID_DOGODKI_DETAIL IS NULL THEN D.OBJEKT ELSE (SELECT OBJEKT FROM NNPRIVEZ WHERE ID_PRIVEZ = DD.ID_PRIVEZ) END) AS OBJEKT,
  (CASE WHEN DD.ID_DOGODKI_DETAIL IS NULL THEN D.N_PRIVEZA ELSE (SELECT N_PRIVEZA FROM NNPRIVEZ WHERE ID_PRIVEZ = DD.ID_PRIVEZ) END) AS N_PRIVEZA,
  D.STORITEV, D.N_POGODBE, D.PREDVIDENI_DATUM_KONCA, D.DATUM_KONCA,
  D.DATUM_KREIRANJA, D.USER_KREIRANJA, D.DATUM_SPREMEMBE, D.USER_SPREMEMBE, D.ID_RFID_DATA, D.DAILY, ND.OPIS AS NDOGODEK_OPIS, ND.INTERNI_OPIS AS NDOGODEK_INTERNI_OPIS,
  K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK, P.IME AS PLOVILA_IME, VP.NNLOCATION_ID AS NNLOCATION_ID
	FROM DOGODKI D
  LEFT OUTER JOIN NDOGODEK ND ON ND.NDOGODEK = D.KATEGORIJA_DOGODKA
  LEFT OUTER JOIN KUPCI K ON K.ID = D.ID_LASTNIKA
  LEFT OUTER JOIN PLOVILA P ON P.ID = D.ID_PLOVILA
  LEFT OUTER JOIN V_PRIVEZ_LOCATION VP ON (VP.OBJEKT = D.OBJEKT AND VP.N_PRIVEZA = D.N_PRIVEZA)
  FULL OUTER JOIN DOGODKI_DETAIL DD ON DD.ID_DOGODKA = D.ID
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (756, SYSDATE, '5.5', 676, 'VDogodki');