CREATE OR REPLACE FORCE VIEW V_RACUN_PDV ("ID_RACUN", "ID_SALDKONT_FISC", "POREZ_STOPA", "OSNOVICA", "POREZ_IZNOS") AS 
SELECT ID_RACUN, ID_SALDKONT_FISC, POREZ_STOPA, SUM(OSNOVICA) AS OSNOVICA, SUM(POREZ_IZNOS) AS POREZ_IZNOS FROM
(
SELECT  SF.ID_SALDKONT AS ID_RACUN, SF.ID_SALDKONT_FISC, D.STOPNJA AS POREZ_STOPA, SUM(D.ZNESEK_OSNOVE) AS OSNOVICA, SUM(D.ZNESEK_DAVKA) AS POREZ_IZNOS
FROM SALDKONT_FISC SF
JOIN RACUN_DATA R ON SF.ID_SALDKONT=R.ID_SALDKONT
LEFT OUTER JOIN M_STORITVE_DAVEK D ON R.ID_STORITVE=D.ID_STORITVE  AND D.VRSTA='DDV'
WHERE D.ID_STORITVE IS NOT NULL
GROUP BY SF.ID_SALDKONT, SF.ID_SALDKONT_FISC, D.STOPNJA
union
SELECT SF.ID_SALDKONT AS ID_RACUN, SF.ID_SALDKONT_FISC, R.DAV_STOPNJA AS POREZ_STOPA, SUM(R.NETO) AS OSNOVICA, SUM(R.ZN_DAVKA) AS POREZ_IZNOS
FROM SALDKONT_FISC SF
JOIN RACUN_DATA R ON SF.ID_SALDKONT=R.ID_SALDKONT
LEFT OUTER JOIN M_STORITVE_DAVEK D ON R.ID_STORITVE=D.ID_STORITVE
WHERE D.ID_STORITVE IS NULL
GROUP BY SF.ID_SALDKONT, SF.ID_SALDKONT_FISC, R.DAV_STOPNJA
union
SELECT SF.ID_SALDKONT AS ID_RACUN, SF.ID_SALDKONT_FISC, D.STOPNJA AS POREZ_STOPA, SUM((SZ.ZNESEK/SA.ZA_PLACILO)*D.ZNESEK_OSNOVE*(-1)) AS OSNOVICA, SUM((SZ.ZNESEK/SA.ZA_PLACILO)*D.ZNESEK_DAVKA*(-1)) AS POREZ_IZNOS
FROM SALDKONT_FISC SF
JOIN SALDKONT_ZAP SZ ON SF.ID_SALDKONT_ZAP=SZ.ID_SALDKONT_ZAP
JOIN SALDKONT SA ON SZ.ID_PL_SALDKONT=SA.ID_SALDKONT
JOIN RACUN_DATA R ON SA.ID_SALDKONT=R.ID_SALDKONT
LEFT OUTER JOIN M_STORITVE_DAVEK D ON R.ID_STORITVE=D.ID_STORITVE  AND D.VRSTA='DDV'
WHERE D.ID_STORITVE IS NOT NULL
GROUP BY SF.ID_SALDKONT, SF.ID_SALDKONT_FISC, D.STOPNJA
union
SELECT SF.ID_SALDKONT AS ID_RACUN, SF.ID_SALDKONT_FISC, R.DAV_STOPNJA AS POREZ_STOPA, SUM(((SZ.ZNESEK/SA.ZA_PLACILO)*R.NETO)*(-1)) AS OSNOVICA, SUM((SZ.ZNESEK/SA.ZA_PLACILO)*R.ZN_DAVKA*(-1)) AS POREZ_IZNOS
FROM SALDKONT_FISC SF
JOIN SALDKONT_ZAP SZ ON SF.ID_SALDKONT_ZAP=SZ.ID_SALDKONT_ZAP
JOIN SALDKONT SA ON SZ.ID_PL_SALDKONT=SA.ID_SALDKONT
JOIN RACUN_DATA R ON SA.ID_SALDKONT=R.ID_SALDKONT
LEFT OUTER JOIN M_STORITVE_DAVEK D ON R.ID_STORITVE=D.ID_STORITVE
WHERE D.ID_STORITVE IS NULL
GROUP BY SF.ID_SALDKONT, SF.ID_SALDKONT_FISC, R.DAV_STOPNJA
) DDV
GROUP BY ID_RACUN, ID_SALDKONT_FISC, POREZ_STOPA
;

CREATE OR REPLACE FORCE VIEW V_RACUN_PNP ("ID_RACUN", "ID_SALDKONT_FISC", "POREZ_STOPA", "OSNOVICA", "POREZ_IZNOS") AS 
SELECT SA.ID_SALDKONT AS ID_RACUN, SF.ID_SALDKONT_FISC, D.STOPNJA AS POREZ_STOPA, SUM(D.ZNESEK_OSNOVE) AS OSNOVICA, SUM(D.ZNESEK_DAVKA) AS POREZ_IZNOS
FROM SALDKONT_FISC SF
JOIN SALDKONT SA ON SF.ID_SALDKONT=SA.ID_SALDKONT
JOIN RACUN_DATA R ON SA.ID_SALDKONT=R.ID_SALDKONT
JOIN M_STORITVE S ON R.ID_STORITVE=S.ID_STORITVE
JOIN M_STORITVE_DAVEK D ON S.ID_STORITVE=D.ID_STORITVE
WHERE D.VRSTA='PNP'
GROUP BY SA.ID_SALDKONT, SF.ID_SALDKONT_FISC, D.STOPNJA
UNION
SELECT SF.ID_SALDKONT AS ID_RACUN, SF.ID_SALDKONT_FISC, D.STOPNJA AS POREZ_STOPA, SUM((SZ.ZNESEK/SA.ZA_PLACILO)*D.ZNESEK_OSNOVE*(-1)) AS OSNOVICA, SUM((SZ.ZNESEK/SA.ZA_PLACILO)*D.ZNESEK_DAVKA*(-1)) AS POREZ_IZNOS
FROM SALDKONT_FISC SF
JOIN SALDKONT_ZAP SZ ON SF.ID_SALDKONT_ZAP=SZ.ID_SALDKONT_ZAP
JOIN SALDKONT SA ON SZ.ID_PL_SALDKONT=SA.ID_SALDKONT
JOIN RACUN_DATA R ON SA.ID_SALDKONT=R.ID_SALDKONT
JOIN M_STORITVE S ON R.ID_STORITVE=S.ID_STORITVE
JOIN M_STORITVE_DAVEK D ON S.ID_STORITVE=D.ID_STORITVE
WHERE D.VRSTA='PNP'
GROUP BY SF.ID_SALDKONT, SF.ID_SALDKONT_FISC, D.STOPNJA
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (767, SYSDATE, '5.5', 687, 'V_RACUN_PDV');